#
# spec file for package python-mockito
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name mockito

Name:           python-%{mod_name}
Version:        0.5.2
Release:        8.2
Url:            http://code.google.com/p/mockito-python
Summary:        Spying framework
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/m/mockito/%{mod_name}-%{version}.tar.gz
Patch0:         python-mockito-0.5.2-setup.py.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
Mockito is a spying framework based on Java library with the same name.

%prep
%setup -q -n mockito-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.5.2
  + No changelog available
- Remove redundant %%clean section
- Adapt setup.py.patch to upstream changes
- Rename it to respect standard naming conventions
- Remove python-mockito.rpmlintrc; problem of execution bits have
  been fixed by upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jul 18 2013 berendt@b1-systems.de
- added python-mockito.rpmlintrc
- added setup.py.patch to make package buildable on SLES11 SP3
* Thu Jul 18 2013 berendt@b1-systems.de
- added missing python-mockito.changes file
- cleaning up the SPEC
